# FindMyDevice (FMD)

Find your device via SMS, instant messengers, or a web interface
([FMD Server](https://gitlab.com/Nulide/findmydeviceserver)).

FMD allows you to track, wipe and issue other commands to your device when it's lost.
It aims to be a secure open source alternative to Google's FindMyDevice.

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
     alt="Get it on F-Droid"
     height="80">](https://f-droid.org/packages/de.nulide.findmydevice/)

## Wiki

The wiki can be found [here](https://gitlab.com/Nulide/findmydevice/-/wikis/home).

You can read more about FMD Server [here](https://gitlab.com/Nulide/findmydevice/-/wikis/FMD%20Server).
The default server can be found [here](https://fmd.nulide.de:1008/).

## Why?

I have lost my  brand new phone last week.
I have to say, if I would have used Googles Services like (FindMyDevice) I could have a better chance to find it.
But why the heck did nobody created an open source application to find a lost device without giving up your privacy and feeding the big data crake Google.

If you like and want to support this project, spread the info about this application or donate.

## Contributors - Translation

Translations are hosted on [Weblate](https://hosted.weblate.org/projects/findmydevice/fmd-android/),
thanks to their free Libre tier.
See the translations instructions in [CONTRIBUTING.md](CONTRIBUTING.md).

|       |  |
| ----------- | ----------- |
| John - [2br-2b](https://gitlab.com/2br-2b)    | nvallas - [nvallas](https://gitlab.com/nvallas)       |
| MijoHuer - [MijoHuer](https://gitlab.com/MijoHuer)   | Rémi - [Remi-p](https://gitlab.com/Remi-p)        |
| linux.redneck - [linux-redneck](https://gitlab.com/linux-redneck) |Michael Mozart - [mozartro](https://gitlab.com/mozartro)  |
|Kalytio _  - [Kalytio](https://gitlab.com/Kalytio)  | teemue - [teemue](https://gitlab.com/teemue) |
| Herbert Reiter - [moasda](https://gitlab.com/moasda) |  Freetime FM  - [awesomea380](https://gitlab.com/awesomea380)|
| Pan Daemon - [Pandaemon](https://gitlab.com/Pandaemon) |ThomasDC84 - [ThomasDC84](https://gitlab.com/ThomasDC84)  |
| Unbranched - [Unbranched](https://gitlab.com/unbranched) ||

## Contributors - Visual Design | Code

|       |  |
| ----------- | ----------- |
| Niklas Stephanblome - [Kleysley](https://gitlab.com/Kleysley)       |jcz1 - [jackc_cz](https://gitlab.com/jackc_cz)|
|  Play_it - [Playit3110](https://gitlab.com/Playit3110)| ColoursofOSINT - [ColoursofOSINT](https://gitlab.com/ColoursofOSINT)  | 
| Thore Göbel - [thgoebel](https://gitlab.com/thgoebel) |

## Donate

<script src="https://liberapay.com/Nulide/widgets/button.js"></script>
<noscript><a href="https://liberapay.com/Nulide/donate"><img alt="Donate using Liberapay" src="https://liberapay.com/assets/widgets/donate.svg"></a></noscript>   

<a href='https://ko-fi.com/H2H35JLOY' target='_blank'><img height='36' style='border:0px;height:36px;' src='https://cdn.ko-fi.com/cdn/kofi4.png?v=2' border='0' alt='Buy Me a Coffee at ko-fi.com' /></a> 

<a href="bitcoin:bc1q700ukhzz6gk8fnjn5j0pedvxsknydx7yajc39x?message=Nulides%20Work;"><img src="https://www.drupal.org/files/project-images/bitcoindonate.png" alt="Bitcoin Donate Button"></a>

Bitcoin Wallet: bc1q700ukhzz6gk8fnjn5j0pedvxsknydx7yajc39x

## Why is it taking that long to fix x?

I am working full-time.
This project is my free-time and I have spent a lot of time in this and still will.
If there are bugs I will try to fix them as soon as possible, but my full-time job has priority.
If it takes too long to fix something you can of course try to fix it by yourself and contribute to this project.

Thanks,

Nulide

## License

FMD Android is published under [GPLv3-or-later](LICENSE).

